Loading...
Searching...
No Matches
extended_report_block Struct Reference

RTCP Extended Report Block (https://tools.ietf.org/html/rfc3611#section-3). More...

`#include <rtcp.h>`

## Data Fields

uint8_t | blocktype
| Block type (BT).
uint8_t | typesp
| Type-specific.
uint16_t | length
| Block length.
char | content [1]
| Content (variable length).

## Detailed Description

RTCP Extended Report Block (https://tools.ietf.org/html/rfc3611#section-3).

## Field Documentation

## blocktype

uint8_t extended_report_block::blocktype

Block type (BT).

## content

char extended_report_block::content[1]

Content (variable length).

## length

uint16_t extended_report_block::length

Block length.

## typesp

uint8_t extended_report_block::typesp

Type-specific.

The documentation for this struct was generated from the following file:

- rtcp.h